| D++ (DPP) C++ Discord API Bot Library

Search
Loading...
Searching...
No Matches
dpp::active_thread_info Struct Reference

A thread alongside the bot's optional thread_member object tied to it. More...

`#include <thread.h>`

Collaboration diagram for dpp::active_thread_info:
[legend]

## Public Attributes

thread | active_thread
| The thread object.
std::optional< thread_member > | bot_member
| The bot as a thread member, only present if the bot is in the thread.

## Detailed Description

A thread alongside the bot's optional thread_member object tied to it.

## Member Data Documentation

## ◆ active_thread

thread dpp::active_thread_info::active_thread

The thread object.

## ◆ bot_member

std::optional<thread_member> dpp::active_thread_info::bot_member

The bot as a thread member, only present if the bot is in the thread.

D++ Library version 9.0.13 D++ Library version 9.0.12 D++ Library version 9.0.11 D++ Library version 9.0.10 D++ Library version 9.0.9 D++ Library version 9.0.8 D++ Library version 9.0.7 D++ Library version 9.0.6 D++ Library version 9.0.5 D++ Library version 9.0.4 D++ Library version 9.0.3 D++ Library version 9.0.2 D++ Library version 9.0.1 D++ Library version 9.0.0 D++ Library version 1.0.2 D++ Library version 1.0.1 D++ Library version 1.0.0